if(!$DM::HasExecutedOnce)
{
	//unregistering events we absolutely do not want map makers to use
	unRegisterOutputEvent("gameConnection", "bottomPrint"); //disabled here for consistency with full version
	unRegisterOutputEvent("MiniGame", "bottomPrintAll"); //disabled here for consistency with full version
	unRegisterOutputEvent("MiniGame", "reset");

	//some useful events for map makers to take avantage of deathmatch gamemode features
	registerOutputEvent("Player", "fall");
	registerOutputEvent("Player", "addArmor", "int -9999 9999 1"); //added here for consistency with full version
	registerOutputEvent("Player", "setArmor", "int 0 9999 1"); //added here for consistency with full version
	registerOutputEvent("Player", "setCanCloak", "bool"); //added here for consistency with full version
	registerOutputEvent("Player", "setSquished", "bool"); //added here for consistency with full version
}

//event coding
function Player::fall(%this)
{
	%this.hasShotOnce = true;
	%this.invulnerable = false;
	%this.damage(%this, %this.getPosition(), 10000, $DamageType::Fall);
}

function Player::addArmor(%this, %amount)
{
	//do nothing
}

function Player::setArmor(%this, %amount)
{
	//do nothing
}

function Player::setCanCloak(%this, %bool)
{
	//do nothing
}

function Player::setSquished(%this, %bool)
{
	//do nothing
}